package model

import "time"

// MultiLang ...
type MultiLang struct {
	En string `json:"en"`
	Vi string `json:"vi"`
}

// BranchBrief ...
type BranchBrief struct {
	ID       string `json:"_id"`
	City     string `json:"city"`
	BankCode string `json:"bankCode"`
	BankID   string `json:"bankId"`
	Active   bool   `json:"active"`
	Name     string `json:"name"`
}

// BankBrief ...
type BankBrief struct {
	ID                       string      `json:"_id"`
	Name                     MultiLang   `json:"name"`
	ShortName                string      `json:"shortName"`
	Active                   bool        `json:"active"`
	BenBankName              string      `json:"benBankName"`
	BankCode                 int         `json:"bankCode"`
	IsBranchRequired         bool        `json:"isBranchRequired"`
	BeneficiaryForVietinbank string      `json:"beneficiaryForVietinbank"`
	CreatedBy                string      `json:"createdBy,omitempty"`
	CreatedAt                time.Time   `json:"createdAt"`
	BranchTotal              int64       `json:"branchTotal"`
	Logo                     interface{} `json:"logo"`
}

type ResponseBankInfo struct {
	Bank   BankBrief   `json:"bank"`
	Branch BranchBrief `json:"branch"`
}
