package model

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

// GetSupplierRequest ...
type GetSupplierRequest struct {
	ListID []primitive.ObjectID `json:"listID"`
}

// GetDetailSupplierRequest ...
type GetDetailSupplierRequest struct {
	Supplier string `json:"supplier"`
}

type GetSupplierContractRequest struct {
	SupplierID primitive.ObjectID `json:"supplierID"`
}

// SupplierRequestPayload ...
type SupplierRequestPayload struct {
	Limit          int
	Page           int
	Keyword        string
	Status         string
	PIC            string
	ContractStatus string
}

// SupplierCashflowCreatePayload ...
type SupplierCashflowCreatePayload struct {
	Supplier    string       `json:"supplier"`
	Action      string       `json:"action"`
	Name        string       `json:"name"`
	TargetID    string       `json:"targetId"`
	Value       float64      `json:"value"`
	ClickAction *ClickAction `json:"clickAction"`
}

type SupplierFreeShipInfoRequestPayload struct {
	SupplierIDs []string `json:"supplierIds"`
}

type SupplierUpdateBalanceReq struct {
	SupplierID string `json:"supplierId"`
}

type SupplierGetCurrentBalanceReq struct {
	SupplierID string `json:"supplierId"`
}

type SupplierDeleteCashflowReq struct {
	CashflowID string `json:"cashflowId"`
}

type SupplierFindAllReq struct {
	Page    int64    `json:"page"`
	Limit   int64    `json:"limit"`
	Segment string   `json:"segment"`
	IDs     []string `json:"ids"`
	Status  string   `json:"status"` // active,inactive
}

type SupplierCountReq struct {
	Segment string   `json:"segment"`
	IDs     []string `json:"ids"`
	Status  string   `json:"status"` // active,inactive
}
