package model

// LoginUserResponse ...
type LoginUserResponse struct {
	ID                      string `json:"_id"`
	RequireToChangePassword bool   `json:"requireToChangePassword"`
	SupplierID              string `json:"supplierId"`
	Name                    string `json:"name"`
}

type GetListUserResponse struct {
	SupplierUsers []SupplierUserBrief `json:"supplierUsers"`
	Total         int64               `json:"total"`
}

type SupplierUserBrief struct {
	ID         string      `json:"_id"`
	Role       RoleShort   `json:"role"`
	SupplierID string      `json:"supplierId"`
	Name       string      `json:"name"`
	Phone      string      `json:"phone"`
	Email      string      `json:"email"`
	Status     string      `json:"status"`
	Avatar     interface{} `json:"avatar"`
	Type       string      `json:"type"`
	Warehouses []string    `json:"warehouses"`
	CreatedAt  string      `json:"createdAt"`
	UpdatedAt  string      `json:"updatedAt"`
}

type CreateOwnerResponse struct {
	ID string `json:"_id"`
}

type CreateStaffResponse struct {
	ID string `json:"_id"`
}

type ResetPasswordResponse struct {
	Password string `json:"password"`
}

// ResponseCheckTokenSupplierUser ...
type ResponseCheckTokenSupplierUser struct {
	IsValid bool                     `json:"isValid"`
	Reason  string                   `json:"reason"`
	User    ResponseSupplierUserInfo `json:"supplier"`
}

type ResponseSupplierUserInfo struct {
	ID         string `json:"_id"`
	Name       string `json:"name"`
	SupplierID string `json:"supplierId"`
}
